<?php
function nifty_lite_call_action_setting( $wp_customize ) {
$selective_refresh = isset( $wp_customize->selective_refresh ) ? 'postMessage' : 'refresh';
	/*=========================================
	Call Action Section Panel
	=========================================*/
	
	// Review Head
	$wp_customize->add_setting(
		'cta_review_head'
			,array(
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'specia_sanitize_text',
		)
	);

	$wp_customize->add_control(
	'cta_review_head',
		array(
			'type' => 'hidden',
			'label' => __('Review','nifty-lite'),
			'section' => 'call_action_content',
			'priority'  => 5
		)
	);
	
	// Review Title // 
	$wp_customize->add_setting(
    	'call_action_review_ttl',
    	array(
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'specia_sanitize_html',
			'transport'         => $selective_refresh,
		)
	);	
	
	$wp_customize->add_control( 
		'call_action_review_ttl',
		array(
		    'label'   => __('Title','nifty-lite'),
		    'section' => 'call_action_content',
			'type'           => 'text',
			'priority'  => 5
		)  
	);
	
	// Review Content // 
	$wp_customize->add_setting(
    	'call_action_review_content',
    	array(
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'specia_sanitize_html',
			'transport'         => $selective_refresh,
		)
	);	
	
	$wp_customize->add_control( 
		'call_action_review_content',
		array(
		    'label'   => __('Content','nifty-lite'),
		    'section' => 'call_action_content',
			'type'           => 'textarea',
			'priority'  => 5
		)  
	);
}
add_action( 'customize_register', 'nifty_lite_call_action_setting' );



// Call to action selective refresh
function nifty_lite_home_cta_section_partials( $wp_customize ){
	
	//call_action_review_ttl
	$wp_customize->selective_refresh->add_partial( 'call_action_review_ttl', array(
		'selector'            => '.call-to-action-ten .ttl',
		'settings'            => 'call_action_review_ttl',
		'render_callback'  => 'nifty_lite_call_action_review_ttl_render_callback',
	) );
	
	//call_action_review_content
	$wp_customize->selective_refresh->add_partial( 'call_action_review_content', array(
		'selector'            => '.call-to-action-ten .rating',
		'settings'            => 'call_action_review_content',
		'render_callback'  => 'nifty_lite_call_action_review_content_render_callback',
	) );
	}

add_action( 'customize_register', 'nifty_lite_home_cta_section_partials' );

// call_action_review_ttl
function nifty_lite_call_action_review_ttl_render_callback() {
	return get_theme_mod( 'call_action_review_ttl' );
}

// call_action_review_content
function nifty_lite_call_action_review_content_render_callback() {
	return get_theme_mod( 'call_action_review_content' );
}